Author Topic: CWP-0.9.8.17(04-07-2016) Initialized empty Git repository - Let's encrypt module  (Read 2367 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
anyone trying the new lets encrypt module?

I am getting this error while installing the module.

+++
Initialized empty Git repository in /opt/cwp_letsencrypt/.git/

« Last Edit: July 05, 2016, 08:55:51 AM by ethaniel86 »

Offline
*
I tried it today but it looks like the letsencrypt.conf and apache2 templates are blank.

I did have LE manually installed but I removed all that and all the SSL certs i'd generated before installing the module

Offline
**
hi,
I just tested installation and everything else went fine but i got "Internal Server Error" response from apache.

error log shows

[Wed Jul 06 16:30:35 2016] [error] [client 37.203.***.***] No user or group set - set suPHP_UserGroup, referer: https://**********.com/******/

fixing permissions did not work too..

Offline
*
I suspect this is because ssl is only supported with apache only mode.

Try switching to apache only and then see if the module works. Then you can manually edit your configuration to nginx (with ssl) >> varnish>>apache, or skip varnish if you don't want to use it.

Offline
*
Is this problem resolved?

Offline
*
yes this issue is now resolved, the current version of cwp is 0.9.8.28.
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Thank you Administrator. It works better than before. But the certificate still does not work on www.domain.com, only domain.com.

Offline
*
I have got the same error in CWP version: 0.9.8.36. How could this be?

Offline
*
you can contact support to check that, we resolve cwp bugs for free
http://centos-webpanel.com/contact
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Has anyone found a fix for this?

Gary

Offline
**
Has anyone found a fix for this?

Gary


Reason: The source script is not exist in that path, you need to place it manually at this location

/opt/cwp_letsencrypt

You need to copy from older version of CWP or you can download it from here:
https://www.dropbox.com/s/33mj767qpgdvm06/cwp_letsencrypt.zip?dl=0

(I dont know what's the reason it's not exist in the lately version of CWP)

The steps:
- Download the file from dropbox (i packed it myself, no worry) or look for it if you dont trust  my source
- assume you download my file, upload it to this location : /opt , then perform unzip it
# unzip cwp_letsencrypt.zip

Go back to your CWP (on browser) and install as you wish
Remove  cwp_letsencrypt.zip file after all
# rm cwp_letsencrypt.zip


« Last Edit: February 17, 2017, 07:42:22 AM by locvfx »